xine-lib: xine-lib-1.2.12/src/input/group_network.h File Reference

xine-lib 1.2.12

Functions
group_network.h File Reference
`#include <xine/xine_internal.h>`

Go to the source code of this file.

## Functions
void * | input_net_init_class (xine_t *xine, const void *data)
void * | input_tls_init_class (xine_t *xine, const void *data)
void * | input_gopher_init_class (xine_t *xine, const void *data)
void * | input_http_init_class (xine_t *xine, const void *data)
void * | input_rtsp_init_class (xine_t *xine, const void *data)
void * | input_pnm_init_class (xine_t *xine, const void *data)
void * | input_ftp_init_class (xine_t *xine, const void *data)
void * | input_ftpes_init_class (xine_t *xine, const void *data)
void * | input_hls_init_class (xine_t *xine, const void *data)
void * | input_mpegdash_init_class (xine_t *xine, const void *data)

## Function Documentation

## ◆ input_ftp_init_class()

void * input_ftp_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References _dispose_class(), _get_dir(), _get_instance(), _x_input_register_default_servers(), _x_input_register_show_hidden_files(), xine_s::config, input_class_s::description, input_class_s::dispose, input_class_s::eject_media, input_class_s::get_autoplay_list, input_class_s::get_dir, input_class_s::get_instance, input_class_s::identifier, ftp_input_class_t::input_class, N_, NULL, and ftp_input_class_t::xine.

Referenced by input_ftpes_init_class().

## ◆ input_ftpes_init_class()

void * input_ftpes_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References _get_dir_es(), input_class_s::description, input_class_s::get_dir, input_class_s::identifier, ftp_input_class_t::input_class, input_ftp_init_class(), N_, and ftp_input_class_t::xine.

## ◆ input_gopher_init_class()

void * input_gopher_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References input_class_s::get_instance, N_, net_class_get_instance(), and NULL.

## ◆ input_hls_init_class()

void * input_hls_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References xine_s::config, hls_input_class_dispose(), hls_input_get_instance(), multirate_pref_get(), N_, and NULL.

## ◆ input_http_init_class()

void * input_http_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References _, _x_freep(), xine_s::config, DEFAULT_HTTP_PORT, head_dump_name_change_cb(), http_class_dispose(), http_class_get_instance(), N_, no_proxy_list_change_cb(), NULL, prot_version_change_cb(), proxy_host_change_cb(), proxy_password_change_cb(), proxy_port_change_cb(), proxy_user_change_cb(), config_values_s::register_enum, config_values_s::register_num, config_values_s::register_string, config_values_s::update_num, and config_values_s::update_string.

## ◆ input_mpegdash_init_class()

void * input_mpegdash_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References xine_s::config, mpd_input_class_dispose(), mpd_input_get_instance(), multirate_pref_get(), N_, and NULL.

## ◆ input_net_init_class()

void * input_net_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References input_class_s::get_instance, N_, net_class_get_instance(), and NULL.

## ◆ input_pnm_init_class()

void * input_pnm_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References input_class_s::get_instance, N_, NULL, and pnm_class_get_instance().

## ◆ input_rtsp_init_class()

void * input_rtsp_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References input_class_s::get_instance, N_, NULL, and rtsp_class_get_instance().

## ◆ input_tls_init_class()

void * input_tls_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References input_class_s::get_instance, N_, net_class_get_instance(), and NULL.